-- phpMyAdmin SQL Dump
-- version 2.9.0.2
-- http://www.phpmyadmin.net
-- 
-- Host: localhost
-- Generation Time: Mar 16, 2007 at 08:59 AM
-- Server version: 4.1.21
-- PHP Version: 4.4.2
-- 
-- Database: `####_#####`
-- 

-- --------------------------------------------------------

-- 
-- Table structure for table `archive`
-- 

CREATE TABLE `archive` (
  `id` int(11) NOT NULL auto_increment,
  `serverid` int(11) NOT NULL default '0',
  `uptime` varchar(100) NOT NULL default '0',
  `outages` int(11) NOT NULL default '0',
  `date` date NOT NULL default '0000-00-00',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=15 ;

-- 
-- Dumping data for table `archive`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `current`
-- 

CREATE TABLE `current` (
  `serverid` int(11) NOT NULL default '0',
  `serviceid` tinyint(4) NOT NULL default '0',
  `status` smallint(6) NOT NULL default '-1',
  `notified` tinyint(4) NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Dumping data for table `current`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `hist`
-- 

CREATE TABLE `hist` (
  `serverid` int(11) NOT NULL default '0',
  `serviceid` int(11) NOT NULL default '0',
  `status` tinyint(4) NOT NULL default '0',
  `date` datetime NOT NULL default '0000-00-00 00:00:00'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Dumping data for table `hist`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `logs`
-- 

CREATE TABLE `logs` (
  `id` int(11) NOT NULL auto_increment,
  `value` longtext,
  `date` datetime default NULL,
  `type` varchar(100) default NULL,
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `logs`
-- 

-- --------------------------------------------------------

-- 
-- Table structure for table `monitor`
-- 

CREATE TABLE `monitor` (
  `serverid` int(11) NOT NULL default '0',
  `serviceid` tinyint(4) NOT NULL default '0',
  `monitor` tinyint(4) NOT NULL default '0'
) ENGINE=MyISAM DEFAULT CHARSET=latin1;

-- 
-- Dumping data for table `monitor`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `servers`
-- 

CREATE TABLE `servers` (
  `id` tinyint(4) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `ip` varchar(20) NOT NULL default '',
  `updated` datetime NOT NULL default '0000-00-00 00:00:00',
  `default` int(11) NOT NULL default '1',
  `alertra` varchar(25) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=3 ;

-- 
-- Dumping data for table `servers`
-- 


-- --------------------------------------------------------

-- 
-- Table structure for table `services`
-- 

CREATE TABLE `services` (
  `id` tinyint(4) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `port` int(11) NOT NULL default '0',
  `default` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=7 ;

-- 
-- Dumping data for table `services`
-- 

INSERT INTO `services` VALUES (1, 'http', 80, 1);
INSERT INTO `services` VALUES (2, 'https', 443, 1);
INSERT INTO `services` VALUES (3, 'ftp', 21, 1);
INSERT INTO `services` VALUES (4, 'smtp', 25, 1);
INSERT INTO `services` VALUES (5, 'pop', 110, 1);
INSERT INTO `services` VALUES (6, 'mysql', 3306, 1);

-- --------------------------------------------------------

-- 
-- Table structure for table `settings`
-- 

CREATE TABLE `settings` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(20) default NULL,
  `value` text,
  `desc` text,
  `type` int(11) NOT NULL default '1',
  `show` enum('Y','N') NOT NULL default 'Y',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=17 ;

-- 
-- Dumping data for table `settings`
-- 

INSERT INTO `settings` VALUES (1, 'to_email', 'admin@domain.com', 'Email to send notifcations to.  You can seperate emails by a comma<br>Example: support1@domain.com, support2@domain.com', 1, 'Y');
INSERT INTO `settings` VALUES (2, 'use_email', 'no', 'Use email notifications, valid entries are NO and YES', 1, 'Y');
INSERT INTO `settings` VALUES (3, 'from_email', 'admin@domain.com', 'Email to send notificaitons from. Enter only a single email address', 1, 'Y');
INSERT INTO `settings` VALUES (4, 'alertra_id', '', '(Optional) If you wish to display Alertra stats rather than the built in reporter stats enter your Alertra ID here.  Leave blank to use the reporter.', 1, 'Y');
INSERT INTO `settings` VALUES (5, 'uptime_service', '3', 'The default service to use when calculating this uptime stats.  This is used when adding a new server.  Each server has a setting for which service you''d like to use.', 1, 'Y');
INSERT INTO `settings` VALUES (6, 'downtime_trigger', '0', 'Number of consecutive service downtimes to trigger email to admin.  (0 means always email)', 1, 'Y');
INSERT INTO `settings` VALUES (7, 'version', '1.4', 'statusmon version', 1, 'N');
INSERT INTO `settings` VALUES (8, 'dst', 'Y', 'Adjust time for Daylight Savings Time (Y or N)', 1, 'Y');
INSERT INTO `settings` VALUES (9, 'time_offset', '-5', 'Time offset from GMT (valid numbers -11 to 12)', 1, 'Y');
INSERT INTO `settings` VALUES (10, 'maxdisplay', '5', 'Maximum number of months  of data to show on reporter page. (numerical values, ie 1, 2, 3, etc...)', 1, 'Y');
INSERT INTO `settings` VALUES (11, 'archive_email', 'admin@domain.com', 'Email address to send archive cron notifications (Leave blank for no notifications)', 1, 'Y');
INSERT INTO `settings` VALUES (12, 'reportercolorbk', '#FF0000', 'Background color for headers in reporter page.', 1, 'Y');
INSERT INTO `settings` VALUES (13, 'reportercolorft', '#FFFFFF', 'Font color for headers in reporter page.', 1, 'Y');
INSERT INTO `settings` VALUES (14, 'title', 'Statusmon server monitoring', 'web site title tag.', 1, 'Y');
INSERT INTO `settings` VALUES (15, 'server_sort', '1', 'Specify what order servers are listed on the status page.', 2, 'Y');
INSERT INTO `settings` VALUES (16, 'LastUpdateFmt', 'Delta', 'How last update time will be displayed on status page.', 2, 'Y');

-- --------------------------------------------------------

-- 
-- Table structure for table `users`
-- 

CREATE TABLE `users` (
  `id` tinyint(4) NOT NULL auto_increment,
  `username` varchar(25) NOT NULL default '',
  `password` varchar(50) NOT NULL default '',
  `email` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `username` (`username`,`email`)
) ENGINE=MyISAM  DEFAULT CHARSET=latin1 AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `users`
-- 

INSERT INTO `users` VALUES (1, 'admin', 'dsw4fwfewfefwfwefwfw', 'admin@domain.com');
